# Record Class CAI1CommandRolesAssign

java.lang.Object
java.lang.Record
com.io7m.cardant.protocol.inventory.cb.CAI1CommandRolesAssign

Record Components:
  `fieldUser` - The target user.
  `fieldRoles` - The assigned roles.

All Implemented Interfaces:
  `ProtocolCAIType`, `ProtocolCAIv1Type`, `com.io7m.cedarbridge.runtime.api.CBProtocolMessageType`, `com.io7m.cedarbridge.runtime.api.CBSerializableType`

public record CAI1CommandRolesAssign(com.io7m.cedarbridge.runtime.api.CBUUID fieldUser, com.io7m.cedarbridge.runtime.api.CBList<com.io7m.cedarbridge.runtime.api.CBString> fieldRoles) extends Record implements com.io7m.cedarbridge.runtime.api.CBSerializableType, ProtocolCAIv1Type
Assign a set of roles to a user.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CAI1CommandRolesAssign(com.io7m.cedarbridge.runtime.api.CBUUID fieldUser, com.io7m.cedarbridge.runtime.api.CBList<com.io7m.cedarbridge.runtime.api.CBString> fieldRoles)`
  Creates an instance of a `CAI1CommandRolesAssign` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CAI1CommandRolesAssign`
  `deserialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context)`
  Deserialize a value of type CAI1CommandRolesAssign.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `com.io7m.cedarbridge.runtime.api.CBList<com.io7m.cedarbridge.runtime.api.CBString>`
  `fieldRoles()`
  Returns the value of the `fieldRoles` record component.
  `com.io7m.cedarbridge.runtime.api.CBUUID`
  `fieldUser()`
  Returns the value of the `fieldUser` record component.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `static void`
  `serialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context, CAI1CommandRolesAssign $x)`
  Serialize a value of type CAI1CommandRolesAssign.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CAI1CommandRolesAssign

    public CAI1CommandRolesAssign(com.io7m.cedarbridge.runtime.api.CBUUID fieldUser, com.io7m.cedarbridge.runtime.api.CBList<com.io7m.cedarbridge.runtime.api.CBString> fieldRoles)
    Creates an instance of a `CAI1CommandRolesAssign` record class.
    Parameters:
      `fieldUser` - the value for the `fieldUser` record component
      `fieldRoles` - the value for the `fieldRoles` record component

- ## Method Details

  - ### serialize

    public static void serialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context, CAI1CommandRolesAssign $x) throws IOException
    Serialize a value of type CAI1CommandRolesAssign.
    Parameters:
      `$context` - The serialization context.
      `$x` - The value to be serialized.
    Throws:
      `IOException`

  - ### deserialize

    public static CAI1CommandRolesAssign deserialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context) throws IOException
    Deserialize a value of type CAI1CommandRolesAssign.
    Parameters:
      `$context` - The serialization context.
    Returns:
      A value of type CAI1CommandRolesAssign.
    Throws:
      `IOException`

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### fieldUser

    public com.io7m.cedarbridge.runtime.api.CBUUID fieldUser()
    Returns the value of the `fieldUser` record component.
    Returns:
      the value of the `fieldUser` record component

  - ### fieldRoles

    public com.io7m.cedarbridge.runtime.api.CBList<com.io7m.cedarbridge.runtime.api.CBString> fieldRoles()
    Returns the value of the `fieldRoles` record component.
    Returns:
      the value of the `fieldRoles` record component